import time
import sys
import numpy as np
import matplotlib.pyplot as plt

# Input units of measure
units = input("What are the units of measure? (F, R, C, K): ")
units = units.upper()
if not(units=="F" or units=="R" or units=="C" or units=="K"):
    print("Units invalid, terminating program")
    sys.exit()

# Input temperatures
print("Input data or Empty Entry to End")
newTemp = "?"
stime = np.array([])
stemp = np.array([])
while True:
    # get the new Temperature
    newTemp = input("Input temperature (" + units + "): ")
    try:
        newTemp = float(newTemp)
    except:
        break  # exit loop if there was an error in converting to a float

    # get the new Time
    newTime = time.clock()

    # convert temperature
    if units == "C":
        newTemp = newTemp + 273.15
    elif units == "F":
        newTemp = (newTemp-32.0) * 5.0/9.0 + 273.15
    elif units == "R":
        newTemp = newTemp * 5.0/9.0

    # add new time and temperature to the end of the lists
    stime = np.append(stime,newTime)
    stemp = np.append(stemp,newTemp)

# Report min, max, avg
print("Max: " + str(np.max(stemp)) + " K")
print("Min: " + str(np.min(stemp)) + " K")
print("Avg: " + str(np.mean(stemp)) + " K")

# Plot results
plt.plot(stime,stemp,'ro')
plt.xlabel("Time (sec)")
plt.ylabel("Temperature (K)")
plt.show()
